Module org.jboss.classfilewriter
Package org.jboss.classfilewriter.constpool

# Class ConstPool

java.lang.Object
org.jboss.classfilewriter.constpool.ConstPool

All Implemented Interfaces:
  `WritableEntry`

public class ConstPool extends Object implements WritableEntry

## Constructor Summary

Constructors
Constructor
Description
`ConstPool()`

## Method Summary

Modifier and Type
Method
Description
`Integer`
`addClassEntry(String className)`
Adds a CONSTANT_Class_info to the const pool.
`Integer`
`addDoubleEntry(double entry)`
`Integer`
`addFieldEntry(String className, String fieldName, String fieldType)`
`Integer`
`addFloatEntry(float entry)`
`Integer`
`addIntegerEntry(int entry)`
`Integer`
`addInterfaceMethodEntry(String className, String methodName, String descriptor)`
`Integer`
`addLongEntry(long entry)`
`Integer`
`addMethodEntry(String className, String methodName, String descriptor)`
`Integer`
`addNameAndTypeEntry(String name, String type)`
`Integer`
`addStringEntry(String string)`
Adds a CONSTANT_String_info to the const pool.
`Integer`
`addUtf8Entry(String entry)`
`void`
`write(ByteArrayDataOutputStream stream)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConstPool

public ConstPool()

## Method Details

### addUtf8Entry

public Integer addUtf8Entry(String entry)

### addClassEntry

public Integer addClassEntry(String className)
Adds a CONSTANT_Class_info to the const pool. This must be in internal form

### addStringEntry

public Integer addStringEntry(String string)
Adds a CONSTANT_String_info to the const pool.

### addIntegerEntry

public Integer addIntegerEntry(int entry)

### addFloatEntry

public Integer addFloatEntry(float entry)

### addLongEntry

public Integer addLongEntry(long entry)

### addDoubleEntry

public Integer addDoubleEntry(double entry)

### addNameAndTypeEntry

public Integer addNameAndTypeEntry(String name, String type)

### addFieldEntry

public Integer addFieldEntry(String className, String fieldName, String fieldType)

### addMethodEntry

public Integer addMethodEntry(String className, String methodName, String descriptor)

### addInterfaceMethodEntry

public Integer addInterfaceMethodEntry(String className, String methodName, String descriptor)

### write

public void write(ByteArrayDataOutputStream stream) throws IOException

Specified by:
  `write` in interface `WritableEntry`
Throws:
  `IOException`